summaryrefslogtreecommitdiff
path: root/HST-S/baselines/cpu/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'HST-S/baselines/cpu/run.sh')
-rwxr-xr-xHST-S/baselines/cpu/run.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/HST-S/baselines/cpu/run.sh b/HST-S/baselines/cpu/run.sh
new file mode 100755
index 0000000..36fd28b
--- /dev/null
+++ b/HST-S/baselines/cpu/run.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+HOST="$(hostname)"
+
+echo $HOST
+
+(
+echo "prim-benchmarks HST-S CPU (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+# baseline ./hist supports -x, however -x 0 references uninitialized variables
+# and likely never has been used or tested. So we'll leave that out here.
+
+make -B verbose=1
+
+for nr_threads in 88 64 44 32 24 20 1 2 4 6 8 12 16; do
+ for i in `seq 1 20`; do
+ timeout --foreground -k 1m 30m ./hist -t ${nr_threads} -i 1006632960 || true
+ done
+done
+) | tee "${HOST}-explore.txt"